Skip to main content
GET
/
team
/
{team}
/
service-points
/
closest
Get closest service points
curl --request GET \
  --url https://app.smartsend.io/api/v2/team/{team}/service-points/closest \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "carrier": {
        "code": "<string>",
        "name": "<string>",
        "logo_url": "<string>",
        "icon_url": "<string>"
      },
      "code": "<string>",
      "name": "<string>",
      "type": "post_office",
      "address": {
        "address_lines": [
          "<string>"
        ],
        "postal_code": "<string>",
        "city": "<string>",
        "country": "<string>",
        "administrative_area": "<string>"
      },
      "coordinates": {
        "latitude": 123,
        "longitude": 123
      },
      "opening_hours": {
        "regular_opening_hours": [
          {
            "weekday": "monday",
            "periods": [
              {
                "opening_time": "<string>",
                "closing_time": "<string>"
              }
            ]
          }
        ],
        "special_opening_hours": [
          {
            "is_closed": true,
            "start_date": "2023-12-25",
            "end_date": "2023-12-25",
            "open_time": "<string>",
            "close_time": "<string>"
          }
        ]
      },
      "distance": 123,
      "distance_unit": "m"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

Accept-Language
string
default:en

Preferred language(s) for translatable content using BCP 47 language tags. Supports quality values (q-factors) for priority ordering. The API negotiates the best available language based on this header, the team's configured language, and available translations. If omitted, the team's default language is used.

Example:

"da-DK, da;q=0.9, en;q=0.8"

Request-ID
string

Any value passed in this request will be returned in the same header. This can be used to correlate requests between client and server.

Required string length: 1 - 128
Pattern: ^[A-Za-z0-9._-]{1,128}$

Path Parameters

team
string
required

Team identifier. All resources are scoped to this team.

Minimum string length: 1
Example:

"ad9546c1-393e-49a5-9a72-5cc146c9bec5"

Query Parameters

carrier
string
required

Carrier code (e.g., postnord, gls, bring)

country
string
required

ISO 3166-1 alpha-2 country code

Required string length: 2
postal_code
string
required

Postal/ZIP code

city
string

City name (improves accuracy)

street
string

Street address (improves accuracy)

query
string

Search query to filter service points by name or address

limit
integer
default:10

Maximum number of service points to return

Required range: 1 <= x <= 50

Response

Service points retrieved successfully

data
object[]
required